#!/usr/bin/perl -w
use strict;

if (0) {   # run on the training data
    open M, "male.txt" or die "cannot find 'male.txt'";
    open F, "female.txt" or die "cannot find 'female.txt'";
    while (<M>) {
        chomp;
        print "1";
        runString($_);
        
        $_ = <F>;
        chomp;
        print "0";
        runString($_);
    }
    close M or die;
    close F or die;
} else {    # run on the test data
    open F, "test.txt" or die "cannot find 'test.txt'";
    while (<F>) {
        chomp;
        print "0";
        runString($_);
    }
    close F or die;
}

    

sub runString {
    my ($txt) = @_;
    $txt = lc($txt);  # lowercase it
    $txt =~ s/[^a-z ]/ /g;  # remove all non-alphabetic characters
    my @w = split /\s+/, $txt;   # separate out the words
    my %words = ();  # collect unique words
    foreach my $w (@w) {
        $words{$w} = 1;   # we've seen word $w
    }
    foreach my $w (keys %words) {
        print ' ' . $w;  # print them all out
    }
    print "\n";
}


    
